--------------------------------------------------------------------------
-- Script per a poblar la base de dades amb informaci per a fer proves --
-- S'utilitzen els procediments d'alta per a cada entitat               --
--------------------------------------------------------------------------

DECLARE 
-- Variables per a recollir els parametres de sortida dels procediemnts, identificadors de les entitats acabades de crear
RSP VARCHAR2(500 CHAR);
intCodiUsuari NUMBER;
intCodiDispositiu NUMBER;
intCodiAplicacio NUMBER;
intCodiDesenvolupador NUMBER;
intCodiBinari NUMBER;

BEGIN

--Alta d'aplicacions
proAltaAplicacio('Aplicacio1','v1.0.0','Link al video-demo de Aplicacio1',1,intCodiAplicacio,RSP);
proAltaAplicacio('Aplicacio2','v2.0.0','Link al video-demo de Aplicacio2',2,intCodiAplicacio,RSP);
proAltaAplicacio('Aplicacio3','v3.0.0','Link al video-demo de Aplicacio3',3,intCodiAplicacio,RSP);
proAltaAplicacio('Aplicacio4','v4.0.0','Link al video-demo de Aplicacio4',4,intCodiAplicacio,RSP);
proAltaAplicacio('Aplicacio5','v5.0.0','Link al video-demo de Aplicacio5',5,intCodiAplicacio,RSP);
proAltaAplicacio('Aplicacio6','v6.0.0','Link al video-demo de Aplicacio6',6,intCodiAplicacio,RSP);

--Alta del preu de les aplicacions
proAltaAppPreuPais(1,'10,10','ES',RSP);
proAltaAppPreuPais(1,'10,20','AD',RSP);
proAltaAppPreuPais(1,'10,30','GB',RSP);
proAltaAppPreuPais(2,'20,10','ES',RSP);
proAltaAppPreuPais(2,'20,20','AD',RSP);
proAltaAppPreuPais(2,'20,30','GB',RSP);
proAltaAppPreuPais(3,'30,10','ES',RSP);
proAltaAppPreuPais(3,'30,20','AD',RSP);
proAltaAppPreuPais(3,'30,30','GB',RSP);
proAltaAppPreuPais(4,'40,10','ES',RSP);
proAltaAppPreuPais(4,'40,20','AD',RSP);
proAltaAppPreuPais(4,'40,30','GB',RSP);
proAltaAppPreuPais(5,'50,10','ES',RSP);
proAltaAppPreuPais(5,'50,20','AD',RSP);
proAltaAppPreuPais(5,'50,30','GB',RSP);
proAltaAppPreuPais(6,'60,10','ES',RSP);
proAltaAppPreuPais(6,'60,20','AD',RSP);
proAltaAppPreuPais(6,'60,30','GB',RSP);

--Alta de les descripcions de les apliacions
proAltaAppDescIdioma(1,'Descripcin de la Aplicacio1 en castellano',4,RSP);
proAltaAppDescIdioma(1,'Descripci de l''Aplicacio1 en catal',5,RSP);
proAltaAppDescIdioma(1,'Aplicacio1 english description',2,RSP);
proAltaAppDescIdioma(2,'Descripcin de la Aplicacio2 en castellano',4,RSP);
proAltaAppDescIdioma(2,'Descripci de l''Aplicacio2 en catal',5,RSP);
proAltaAppDescIdioma(2,'Aplicacio2 english description',2,RSP);
proAltaAppDescIdioma(3,'Descripcin de la Aplicacio3 en castellano',4,RSP);
proAltaAppDescIdioma(3,'Descripci de l''Aplicacio3 en catal',5,RSP);
proAltaAppDescIdioma(3,'Aplicacio3 english description',2,RSP);
proAltaAppDescIdioma(4,'Descripcin de la Aplicacio4 en castellano',4,RSP);
proAltaAppDescIdioma(4,'Descripci de l''Aplicacio4 en catal',5,RSP);
proAltaAppDescIdioma(4,'Aplicacio4 english description',2,RSP);
proAltaAppDescIdioma(5,'Descripcin de la Aplicacio5 en castellano',4,RSP);
proAltaAppDescIdioma(5,'Descripci de l''Aplicacio5 en catal',5,RSP);
proAltaAppDescIdioma(5,'Aplicacio5 english description',2,RSP);
proAltaAppDescIdioma(6,'Descripcin de la Aplicacio6 en castellano',4,RSP);
proAltaAppDescIdioma(6,'Descripci de l''Aplicacio6 en catal',5,RSP);
proAltaAppDescIdioma(6,'Aplicacio6 english description',2,RSP);

--Alta dels sistemes operatius suportats per les aplicacions
proAltaAppSO(1,'ANDR410',RSP);
proAltaAppSO(1,'AIOS600',RSP);
proAltaAppSO(1,'SYMB101',RSP);
proAltaAppSO(2,'ANDR410',RSP);
proAltaAppSO(2,'AIOS600',RSP);
proAltaAppSO(2,'SYMB101',RSP);
proAltaAppSO(3,'ANDR410',RSP);
proAltaAppSO(3,'AIOS600',RSP);
proAltaAppSO(3,'SYMB101',RSP);
proAltaAppSO(4,'ANDR410',RSP);
proAltaAppSO(4,'AIOS600',RSP);
proAltaAppSO(4,'SYMB101',RSP);
proAltaAppSO(5,'ANDR410',RSP);
proAltaAppSO(5,'AIOS600',RSP);
proAltaAppSO(5,'SYMB101',RSP);
proAltaAppSO(6,'ANDR410',RSP);
proAltaAppSO(6,'AIOS600',RSP);
proAltaAppSO(6,'SYMB101',RSP);

--Alta de fitxer binaris corresponents a les aplicacions
proAltaBinariApp(1,'ANDR410','v1.0','Hipervincle binari 1 Apliacio1 ANDR410 v1.0','1212',1,intCodiBinari,RSP);
proAltaBinariApp(1,'ANDR410','v2.0','Hipervincle binari 2 Apliacio1 ANDR410 v2.0','3434',1,intCodiBinari,RSP);
proAltaBinariApp(1,'AIOS600','v1.0','Hipervincle binari 3 Apliacio1 AIOS600 v1.0','5656',1,intCodiBinari,RSP);
proAltaBinariApp(1,'AIOS600','v2.0','Hipervincle binari 4 Apliacio1 AIOS600 v2.0','7878',1,intCodiBinari,RSP);
proAltaBinariApp(1,'SYMB101','v1.0','Hipervincle binari 5 Apliacio1 SYMB101 v1.0','9090',1,intCodiBinari,RSP);
proAltaBinariApp(1,'SYMB101','v2.0','Hipervincle binari 6 Apliacio1 SYMB101 v2.0','1515',1,intCodiBinari,RSP);
proAltaBinariApp(2,'ANDR410','v1.0','Hipervincle binari 7 Apliacio2 ANDR410 v1.0','1212',2,intCodiBinari,RSP);
proAltaBinariApp(2,'ANDR410','v2.0','Hipervincle binari 8 Apliacio2 ANDR410 v2.0','3434',2,intCodiBinari,RSP);
proAltaBinariApp(2,'AIOS600','v1.0','Hipervincle binari 9 Apliacio2 AIOS600 v1.0','5656',2,intCodiBinari,RSP);
proAltaBinariApp(2,'AIOS600','v2.0','Hipervincle binari 10 Apliacio2 AIOS600 v2.0','7878',2,intCodiBinari,RSP);
proAltaBinariApp(2,'SYMB101','v1.0','Hipervincle binari 11 Apliacio2 SYMB101 v1.0','9090',2,intCodiBinari,RSP);
proAltaBinariApp(2,'SYMB101','v2.0','Hipervincle binari 12 Apliacio2 SYMB101 v2.0','1515',2,intCodiBinari,RSP);
proAltaBinariApp(3,'ANDR410','v1.0','Hipervincle binari 13 Apliacio3 ANDR410 v1.0','1212',3,intCodiBinari,RSP);
proAltaBinariApp(3,'ANDR410','v2.0','Hipervincle binari 14 Apliacio3 ANDR410 v2.0','3434',3,intCodiBinari,RSP);
proAltaBinariApp(3,'AIOS600','v1.0','Hipervincle binari 15 Apliacio3 AIOS600 v1.0','5656',3,intCodiBinari,RSP);
proAltaBinariApp(3,'AIOS600','v2.0','Hipervincle binari 16 Apliacio3 AIOS600 v2.0','7878',3,intCodiBinari,RSP);
proAltaBinariApp(3,'SYMB101','v1.0','Hipervincle binari 17 Apliacio3 SYMB101 v1.0','9090',3,intCodiBinari,RSP);
proAltaBinariApp(3,'SYMB101','v2.0','Hipervincle binari 18 Apliacio3 SYMB101 v2.0','1515',3,intCodiBinari,RSP);
proAltaBinariApp(4,'ANDR410','v1.0','Hipervincle binari 19 Apliacio4 ANDR410 v1.0','1212',4,intCodiBinari,RSP);
proAltaBinariApp(4,'ANDR410','v2.0','Hipervincle binari 20 Apliacio4 ANDR410 v2.0','3434',4,intCodiBinari,RSP);
proAltaBinariApp(4,'AIOS600','v1.0','Hipervincle binari 21 Apliacio4 AIOS600 v1.0','5656',4,intCodiBinari,RSP);
proAltaBinariApp(4,'AIOS600','v2.0','Hipervincle binari 22 Apliacio4 AIOS600 v2.0','7878',4,intCodiBinari,RSP);
proAltaBinariApp(4,'SYMB101','v1.0','Hipervincle binari 23 Apliacio4 SYMB101 v1.0','9090',4,intCodiBinari,RSP);
proAltaBinariApp(4,'SYMB101','v2.0','Hipervincle binari 24 Apliacio4 SYMB101 v2.0','1515',4,intCodiBinari,RSP);
proAltaBinariApp(5,'ANDR410','v1.0','Hipervincle binari 25 Apliacio5 ANDR410 v1.0','1212',5,intCodiBinari,RSP);
proAltaBinariApp(5,'ANDR410','v2.0','Hipervincle binari 26 Apliacio5 ANDR410 v2.0','3434',5,intCodiBinari,RSP);
proAltaBinariApp(5,'AIOS600','v1.0','Hipervincle binari 27 Apliacio5 AIOS600 v1.0','5656',5,intCodiBinari,RSP);
proAltaBinariApp(5,'AIOS600','v2.0','Hipervincle binari 28 Apliacio5 AIOS600 v2.0','7878',5,intCodiBinari,RSP);
proAltaBinariApp(5,'SYMB101','v1.0','Hipervincle binari 29 Apliacio5 SYMB101 v1.0','9090',5,intCodiBinari,RSP);
proAltaBinariApp(5,'SYMB101','v2.0','Hipervincle binari 30 Apliacio5 SYMB101 v2.0','1515',5,intCodiBinari,RSP);
proAltaBinariApp(6,'ANDR410','v1.0','Hipervincle binari 31 Apliacio6 ANDR410 v1.0','1212',6,intCodiBinari,RSP);
proAltaBinariApp(6,'ANDR410','v2.0','Hipervincle binari 32 Apliacio6 ANDR410 v2.0','3434',6,intCodiBinari,RSP);
proAltaBinariApp(6,'AIOS600','v1.0','Hipervincle binari 33 Apliacio6 AIOS600 v1.0','5656',6,intCodiBinari,RSP);
proAltaBinariApp(6,'AIOS600','v2.0','Hipervincle binari 34 Apliacio6 AIOS600 v2.0','7878',6,intCodiBinari,RSP);
proAltaBinariApp(6,'SYMB101','v1.0','Hipervincle binari 35 Apliacio6 SYMB101 v1.0','9090',6,intCodiBinari,RSP);
proAltaBinariApp(6,'SYMB101','v2.0','Hipervincle binari 36 Apliacio6 SYMB101 v2.0','1515',6,intCodiBinari,RSP);

--Alta de desenvolupadors
proAltaDesenvolupador('Desenvolupador1','Nom empresa Desenvolupador1','Representant legal Desenvolupador1','Adrea Desenvolupador1','12121212121','ES',intCodiDesenvolupador,RSP);
proAltaDesenvolupador('Desenvolupador2','Nom empresa Desenvolupador2','Representant legal Desenvolupador2','Adrea Desenvolupador2','34343434343','AD',intCodiDesenvolupador,RSP);
proAltaDesenvolupador('Desenvolupador3','Nom empresa Desenvolupador3','Representant legal Desenvolupador3','Adrea Desenvolupador3','56565656565','GB',intCodiDesenvolupador,RSP);
proAltaDesenvolupador('Desenvolupador4','Nom empresa Desenvolupador4','Representant legal Desenvolupador4','Adrea Desenvolupador4','78787878787','ES',intCodiDesenvolupador,RSP);
proAltaDesenvolupador('Desenvolupador5','Nom empresa Desenvolupador5','Representant legal Desenvolupador5','Adrea Desenvolupador5','90909090909','AD',intCodiDesenvolupador,RSP);
proAltaDesenvolupador('Desenvolupador6','Nom empresa Desenvolupador6','Representant legal Desenvolupador6','Adrea Desenvolupador6','13131313131','GB',intCodiDesenvolupador,RSP);
proAltaDesenvolupador('Desenvolupador7','Nom empresa Desenvolupador7','Representant legal Desenvolupador7','Adrea Desenvolupador7','14141414141','ES',intCodiDesenvolupador,RSP);
proAltaDesenvolupador('Desenvolupador8','Nom empresa Desenvolupador8','Representant legal Desenvolupador8','Adrea Desenvolupador8','15151515151','AD',intCodiDesenvolupador,RSP);
proAltaDesenvolupador('Desenvolupador9','Nom empresa Desenvolupador9','Representant legal Desenvolupador9','Adrea Desenvolupador9','16161616161','GB',intCodiDesenvolupador,RSP);

--Alta dels desenvolupadors del fitxers binaris
proAltaDesenvolupadorBinari(1,1,RSP);
proAltaDesenvolupadorBinari(2,1,RSP);
proAltaDesenvolupadorBinari(3,2,RSP);
proAltaDesenvolupadorBinari(4,2,RSP);
proAltaDesenvolupadorBinari(5,3,RSP);
proAltaDesenvolupadorBinari(6,3,RSP);
proAltaDesenvolupadorBinari(7,4,RSP);
proAltaDesenvolupadorBinari(8,4,RSP);
proAltaDesenvolupadorBinari(9,5,RSP);
proAltaDesenvolupadorBinari(1,5,RSP);
proAltaDesenvolupadorBinari(2,6,RSP);
proAltaDesenvolupadorBinari(3,6,RSP);
proAltaDesenvolupadorBinari(4,7,RSP);
proAltaDesenvolupadorBinari(5,7,RSP);
proAltaDesenvolupadorBinari(6,8,RSP);
proAltaDesenvolupadorBinari(7,8,RSP);
proAltaDesenvolupadorBinari(8,9,RSP);
proAltaDesenvolupadorBinari(9,9,RSP);
proAltaDesenvolupadorBinari(1,10,RSP);
proAltaDesenvolupadorBinari(2,10,RSP);
proAltaDesenvolupadorBinari(3,11,RSP);
proAltaDesenvolupadorBinari(4,11,RSP);
proAltaDesenvolupadorBinari(5,12,RSP);
proAltaDesenvolupadorBinari(6,12,RSP);
proAltaDesenvolupadorBinari(7,13,RSP);
proAltaDesenvolupadorBinari(8,13,RSP);
proAltaDesenvolupadorBinari(9,14,RSP);
proAltaDesenvolupadorBinari(1,14,RSP);
proAltaDesenvolupadorBinari(2,15,RSP);
proAltaDesenvolupadorBinari(3,15,RSP);
proAltaDesenvolupadorBinari(4,16,RSP);
proAltaDesenvolupadorBinari(5,16,RSP);
proAltaDesenvolupadorBinari(6,17,RSP);
proAltaDesenvolupadorBinari(7,17,RSP);
proAltaDesenvolupadorBinari(8,18,RSP);
proAltaDesenvolupadorBinari(9,18,RSP);
proAltaDesenvolupadorBinari(1,19,RSP);
proAltaDesenvolupadorBinari(2,19,RSP);
proAltaDesenvolupadorBinari(3,20,RSP);
proAltaDesenvolupadorBinari(4,20,RSP);
proAltaDesenvolupadorBinari(5,21,RSP);
proAltaDesenvolupadorBinari(6,21,RSP);
proAltaDesenvolupadorBinari(7,22,RSP);
proAltaDesenvolupadorBinari(8,22,RSP);
proAltaDesenvolupadorBinari(9,23,RSP);
proAltaDesenvolupadorBinari(1,23,RSP);
proAltaDesenvolupadorBinari(2,24,RSP);
proAltaDesenvolupadorBinari(3,24,RSP);
proAltaDesenvolupadorBinari(4,25,RSP);
proAltaDesenvolupadorBinari(5,25,RSP);
proAltaDesenvolupadorBinari(6,26,RSP);
proAltaDesenvolupadorBinari(7,26,RSP);
proAltaDesenvolupadorBinari(8,27,RSP);
proAltaDesenvolupadorBinari(9,27,RSP);
proAltaDesenvolupadorBinari(1,28,RSP);
proAltaDesenvolupadorBinari(2,28,RSP);
proAltaDesenvolupadorBinari(3,29,RSP);
proAltaDesenvolupadorBinari(4,29,RSP);
proAltaDesenvolupadorBinari(5,30,RSP);
proAltaDesenvolupadorBinari(6,30,RSP);
proAltaDesenvolupadorBinari(7,31,RSP);
proAltaDesenvolupadorBinari(8,31,RSP);
proAltaDesenvolupadorBinari(9,32,RSP);
proAltaDesenvolupadorBinari(1,32,RSP);
proAltaDesenvolupadorBinari(2,33,RSP);
proAltaDesenvolupadorBinari(3,33,RSP);
proAltaDesenvolupadorBinari(4,34,RSP);
proAltaDesenvolupadorBinari(5,34,RSP);
proAltaDesenvolupadorBinari(6,35,RSP);
proAltaDesenvolupadorBinari(7,35,RSP);
proAltaDesenvolupadorBinari(8,36,RSP);
proAltaDesenvolupadorBinari(9,36,RSP);

-- Alta d'usuaris
proAltaUsuari('121212121','ORAN','usuari1@orange.com','ES',intCodiUsuari,RSP);   
proAltaUsuari('343434343','MOVI','usuari2@movistar.com','AD',intCodiUsuari,RSP);   
proAltaUsuari('565656565','VODA','usuari3@vodafone.com','GB',intCodiUsuari,RSP);   
proAltaUsuari('787878787','ORAN','usuari4@orange.com','ES',intCodiUsuari,RSP);   
proAltaUsuari('909090909','MOVI','usuari5@movistar.com','AD',intCodiUsuari,RSP);   
proAltaUsuari('131313131','VODA','usuari6@vodafone.com','GB',intCodiUsuari,RSP);   

-- Alta dels dispositius dels usuaris
proAltaDispositiuUsuari(1,'IMEIDispositiu1Usuari1','NOK001',1,'SYMB101',intCodiDispositiu,RSP);
proAltaDispositiuUsuari(1,'IMEIDispositiu2Usuari1','SAM001',2,'ANDR410',intCodiDispositiu,RSP);
proAltaDispositiuUsuari(2,'IMEIDispositiu1Usuari2','APP003',3,'AIOS600',intCodiDispositiu,RSP);
proAltaDispositiuUsuari(2,'IMEIDispositiu2Usuari2','SAM008',4,'ANDR410',intCodiDispositiu,RSP);
proAltaDispositiuUsuari(3,'IMEIDispositiu1Usuari3','NOK009',5,'SYMB101',intCodiDispositiu,RSP);
proAltaDispositiuUsuari(3,'IMEIDispositiu2Usuari3','SAM004',6,'ANDR410',intCodiDispositiu,RSP);
proAltaDispositiuUsuari(4,'IMEIDispositiu1Usuari4','SAM005',7,'ANDR410',intCodiDispositiu,RSP);
proAltaDispositiuUsuari(4,'IMEIDispositiu2Usuari4','APP002',8,'AIOS600',intCodiDispositiu,RSP);
proAltaDispositiuUsuari(5,'IMEIDispositiu1Usuari5','APP001',9,'AIOS600',intCodiDispositiu,RSP);
proAltaDispositiuUsuari(5,'IMEIDispositiu2Usuari5','SAM002',10,'ANDR410',intCodiDispositiu,RSP);
proAltaDispositiuUsuari(6,'IMEIDispositiu1Usuari6','SAM002',11,'ANDR410',intCodiDispositiu,RSP);
proAltaDispositiuUsuari(6,'IMEIDispositiu2Usuari6','NOK006',12,'SYMB101',intCodiDispositiu,RSP);

END;

