-------------------------------------------------------------------------------------------------------
-- CREACIO DELS TIPUS NECESSARIS PER A LES FUNCIONS QUE SATISFARAN LES CONSULTES AL MODUL ESTADISTIC --
-------------------------------------------------------------------------------------------------------


--------------------------------------------------------------
-- Tipus necessaris per a la funcio fnESTADISTIQUESGENERALS --
--------------------------------------------------------------
CREATE OR REPLACE TYPE typREGISTREESTGENERALS IS OBJECT 
(
  descarregues  NUMBER,
  eurosDescarregues NUMBER (10,2)
);
/

CREATE OR REPLACE TYPE tblTAULAESTGENERALS AS TABLE OF typREGISTREESTGENERALS;
/

------------------------------------------------------------
-- Tipus necessaris per a la funcio fnESTADISTIQUESANUALS --
------------------------------------------------------------
CREATE OR REPLACE TYPE typREGISTREESTANUALS IS OBJECT 
(
  anyEstadistica  CHAR(4 CHAR),
  mitjanaDescarregues NUMBER (6,2),
  desenvolupadorMaxDesc VARCHAR2 (500 CHAR),
  desenvolupadorMaxDescNumero NUMBER,
  aplicacioMaxRecapatacio VARCHAR2 (500 CHAR),
  aplicacioMaxRecaptacioDes VARCHAR2 (500 CHAR)  
);
/

CREATE OR REPLACE TYPE tblTAULAESTANUALS AS TABLE OF typREGISTREESTANUALS;
/

----------------------------------------------------------------
-- Tipus necessaris per a la funcio fnESTADISTIQUESANUALSPAIS --
----------------------------------------------------------------
CREATE OR REPLACE TYPE typREGISTREESTANUALSPAIS IS OBJECT 
(
  anyEstadistica CHAR(4 CHAR), 
  pais CHAR(2 CHAR),
  usuarisDif NUMBER,
  ingressosUsuaris NUMBER,
  aplicacionsDif NUMBER  
);
/

CREATE OR REPLACE TYPE tblTAULAESTANUALSPAIS AS TABLE OF typREGISTREESTANUALSPAIS;
/

