----------------------------
-- CREACIO DE DISPARADORS --
----------------------------

/* Si no es canvia el valor del seguent parametre de sessi es produeixen errors de compilaci des de SQL Developer */
ALTER SESSION SET PLSCOPE_SETTINGS = 'IDENTIFIERS:NONE';

CREATE OR REPLACE TRIGGER trgAPLICACIO 
BEFORE INSERT ON APLICACIO FOR EACH ROW WHEN (new.CODI IS NULL)
BEGIN
  :new.CODI := seqAPLICACIO.NextVal; 
END;
/

CREATE OR REPLACE TRIGGER trgBINARI 
BEFORE INSERT ON BINARI FOR EACH ROW WHEN (new.CODI IS NULL)
BEGIN
  :new.CODI := seqBINARI.NextVal; 
END;
/

CREATE OR REPLACE TRIGGER trgDESENVOLUPADOR 
BEFORE INSERT ON DESENVOLUPADOR FOR EACH ROW WHEN (new.CODI IS NULL)
BEGIN
  :new.CODI := seqDESENVOLUPADOR.NextVal; 
END;
/

CREATE OR REPLACE TRIGGER trgUSUARI 
BEFORE INSERT ON USUARI FOR EACH ROW WHEN (new.CODI IS NULL)
BEGIN
  :new.CODI := seqUSUARI.NextVal; 
END;
/

CREATE OR REPLACE TRIGGER trgDISPOSITIU
  BEFORE INSERT ON DISPOSITIU FOR EACH ROW WHEN (new.CODI IS NULL)
BEGIN
      :new.CODI := seqDISPOSITIU.NextVal; 
END;
/


/* Es restaura el valor per defecte que SQL Developer posa al seguent parametre de sessi */
ALTER SESSION SET PLSCOPE_SETTINGS = 'IDENTIFIERS:ALL';
